Subject: [bug#51198] [PATCH] gnu: Add b2sum.

From: Leo Famulari <[email-masked]>
Date: Tue, 26 Oct 2021 18:53:55 -0400

On Wed, Oct 27, 2021 at 12:26:01AM +0200, Nicolò Balzarotti wrote:
> Leo Famulari <[email-masked]> writes:
> 
> > * gnu/packages/crypto.scm (b2sum): New variable.
> 
> Hi, I guix pulled and wanted to try this, but I get
> 
> >> b2sum --help
> > Illegal instruction
> 
> (I'm on an old X200 thinkpad).  Might it be that build is not
> deterministic (and we should disable some optimization)?

I guess it's because the package built with "-march=native".

What's the right choice for this parameter?

https://gcc.gnu.org/onlinedocs/gcc/x86-Options.html

CC-ing Mark Weaver because he often has good advice on this subject.

'gnu/packages' does include some "-march=" examples.